Skip to main content
PATCH
/
api
/
projects
/
v1
/
projects
/
{projectId}
/
goals
/
{goalId}
Update project goal status
curl --request PATCH \
  --url https://api.example.com/api/projects/v1/projects/{projectId}/goals/{goalId} \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "isComplete": true
}
'
{
  "goal": {
    "createdAt": "2022-03-12T02:13:44.467Z",
    "creatorId": "<string>",
    "id": "<string>",
    "isComplete": true,
    "projectId": "<string>",
    "title": "<string>",
    "description": "<string>"
  },
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

projectId
string
required

Project ID of the goal

goalId
string
required

ID of the goal to update

Body

application/json

Project goal for update

isComplete
boolean
required

Flag indicating if the goal is complete

Response

Success

goal
object
required
metadata
object
required